MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0025161Open CASCADE[OCCT] OCCT:Configurationpublic2014-08-18 17:032014-11-11 12:58
Reporterapn 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformLinuxOSDebian 6.0OS Version64 bit
Product Version[OCCT] 6.8.0 
Target Version[OCCT] 6.8.0Fixed in Version[OCCT] 6.8.0 
Summary0025161: Exception in draw trying pload ALL (espesially TOPTEST)
DescriptionThere is following exception trying pload ALL on branch CR25114 compiled on Linux (Debian60-64):
Draw[1]> pload ALL
An exception was caught 0x2519ae0 : Draw_Failure: Could not open: TKTopTest; reason: /dn48/OCCT/apn/build_cmake/25114-3/INSTALL/lib/libTKTopTest.so: undefined symbol: _ZTI20XSAlgo_AlgoContainer
** Exception ** 0x2519ae0 : Draw_Failure: Could not open: TKTopTest; reason: /dn48/OCCT/apn/build_cmake/25114-3/INSTALL/lib/libTKTopTest.so: undefined symbol: _ZTI20XSAlgo_AlgoContainer

But if we comment 2 includes (#include <XSAlgo/XSAlgo.hxx> #include <XSAlgo/XSAlgo_AlgoContainer.hxx>) in src/SWDRAW/SWDRAW.cxx, pload works OK.
TagsNo tags attached.
Test case numberNot needed
Attached Files? file icon config.h (11,341 bytes) 2014-08-18 17:06

- Relationships

-  Notes
(0030847)
apn (administrator)
2014-08-18 17:05

put config.h (attached) to src folder of occt and to folder INSTALL/inc
(0030866)
git (administrator)
2014-08-19 10:11

Branch CR25161 has been created by apn.

SHA-1: 30f2bf3f65527a5f4ff639b41e88138b74420ed4


This branch includes the following new commits:

       new 30f2bf3 0025161: Exception in draw trying pload ALL (espesially TOPTEST)


Detailed log of new commits:

commit 30f2bf3f65527a5f4ff639b41e88138b74420ed4
Author: apn
Date: Tue Aug 19 10:11:04 2014 +0400

    0025161: Exception in draw trying pload ALL (espesially TOPTEST)
    
    Deleted following includes in src/SWDRAW/SWDRAW.cxx :
    #include <XSAlgo/XSAlgo.hxx>
    #include <XSAlgo/XSAlgo_AlgoContainer.hxx>
(0030867)
apn (administrator)
2014-08-19 10:12

Branch CR25161 was created.
Deleted following includes in src/SWDRAW/SWDRAW.cxx :
#include <XSAlgo/XSAlgo.hxx>
#include <XSAlgo/XSAlgo_AlgoContainer.hxx>

Please review.
(0030898)
apv (tester)
2014-08-19 17:31

Dear BugMaster,

Branch CR26161 (and products from GIT master) was compiled on Linux and Windows platforms and tested.
SHA-1: 30f2bf3f65527a5f4ff639b41e88138b74420ed4

Number of compiler warnings:
occt component:
   Linux: 15 (15 on master)
   Windows: 0 (0 on master)
products component:
   Linux: 11 (11 on master)
   Windows: 1 (1 on master)

Regressions/Differences:
Not detected

Testing case:
Not needed

Testing on Linux:
Total MEMORY difference: 352202832 / 351913792
Total CPU difference: 44838.450000000004 / 45954.130000000136

Testing on Windows:
Total MEMORY difference: 239960564 / 239714760
Total CPU difference: 40072.03125 / 32650.28125
(0031474)
git (administrator)
2014-09-08 15:51

Branch CR25161 has been deleted by inv.

SHA-1: 30f2bf3f65527a5f4ff639b41e88138b74420ed4

- Related Changesets
occt: master 1ba5bcdc
Timestamp: 2014-08-19 06:11:04
Author: apn
Committer: bugmaster
Details ] Diff ]
0025161: Exception in draw trying pload ALL (espesially TOPTEST)

Deleted following includes in src/SWDRAW/SWDRAW.cxx :
#include <XSAlgo/XSAlgo.hxx>
#include <XSAlgo/XSAlgo_AlgoContainer.hxx>
mod - src/SWDRAW/SWDRAW.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-08-18 17:03 apn New Issue
2014-08-18 17:03 apn Assigned To => abv
2014-08-18 17:05 apn Note Added: 0030847
2014-08-18 17:06 apn File Added: config.h
2014-08-18 17:06 apn Test case number => Not needed
2014-08-18 17:06 apn Status new => assigned
2014-08-18 17:06 apn Description Updated View Revisions
2014-08-19 10:11 git Note Added: 0030866
2014-08-19 10:12 apn Note Added: 0030867
2014-08-19 10:12 apn Assigned To abv => ski
2014-08-19 10:12 apn Status assigned => resolved
2014-08-19 10:13 ski Assigned To ski => bugmaster
2014-08-19 10:13 ski Status resolved => reviewed
2014-08-19 10:44 apv Assigned To bugmaster => apv
2014-08-19 17:31 apv Note Added: 0030898
2014-08-19 17:31 apv Assigned To apv => bugmaster
2014-08-19 17:31 apv Status reviewed => tested
2014-08-19 17:33 apv Target Version 7.0.0 => 6.8.0
2014-08-22 15:42 bugmaster Changeset attached => occt master 1ba5bcdc
2014-08-22 15:42 bugmaster Status tested => verified
2014-08-22 15:42 bugmaster Resolution open => fixed
2014-09-08 15:51 git Note Added: 0031474
2014-11-11 12:45 aiv Fixed in Version => 6.8.0
2014-11-11 12:58 aiv Status verified => closed


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker